Skip to main content
Version: 1.10.x (Next)

Monitor endpoints

The /monitor endpoints are for internal Langflow functionality, primarily related to running flows in the Playground, storing chat history, and generating flow logs.

This information is primarily for those who are building custom components or contributing to the Langflow codebase in a way that requires calling or understanding these endpoints.

For typical application development with Langflow, there are more appropriate options for monitoring, debugging, and memory management. For more information, see the following:

  • Logs: Langflow log storage locations, customization options, and where to view logs in the visual editor
  • Test flows in the Playground: Run flows and inspect message history
  • Memory management options: Langflow storage locations and options, including the database, cache, and chat history

Vertex builds

The Vertex build endpoints (/monitor/builds) are exclusively for Playground functionality.

When you run a flow in the Playground, Langflow calls the /build/$FLOW_ID/flow endpoint in chat.py. This call retrieves the flow data, builds a graph, and executes the graph. As each component (or node) is executed, the build_vertex function calls build_and_run, which may call the individual components' def_build method, if it exists. If a component doesn't have a def_build function, the build still returns a component.

The build function allows components to execute logic at runtime. For example, the Recursive Character Text Splitter component is a child of the LCTextSplitterComponent class. When text needs to be processed, the parent class's build method is called, which creates a RecursiveCharacterTextSplitter object and uses it to split the text according to the defined parameters. The split text is then passed on to the next component. This all occurs when the component is built.

Get Vertex builds

Retrieve Vertex builds for a specific flow.

1import os 2 3import requests 4 5url = f"{os.getenv('LANGFLOW_URL', '')}/api/v1/monitor/builds?flow_id={os.getenv('FLOW_ID', '')}" 6 7headers = { 8 "accept": "application/json", 9 "x-api-key": f"{os.getenv('LANGFLOW_API_KEY', '')}", 10} 11 12response = requests.request("GET", url, headers=headers) 13response.raise_for_status() 14 15print(response.text) 16
Result
1{ 2 "vertex_builds": { 3 "ChatInput-NCmix": [ 4 { 5 "data": { 6 "results": { 7 "message": { 8 "text_key": "text", 9 "data": { 10 "timestamp": "2024-12-23 19:10:57", 11 "sender": "User", 12 "sender_name": "User", 13 "session_id": "01ce083d-748b-4b8d-97b6-33adbb6a528a", 14 "text": "Hello", 15 "files": [], 16 "error": "False", 17 "edit": "False", 18 "properties": { 19 "text_color": "", 20 "background_color": "", 21 "edited": "False", 22 "source": { 23 "id": "None", 24 "display_name": "None", 25 "source": "None" 26 }, 27 "icon": "", 28 "allow_markdown": "False", 29 "positive_feedback": "None", 30 "state": "complete", 31 "targets": [] 32 }, 33 "category": "message", 34 "content_blocks": [], 35 "id": "c95bed34-f906-4aa6-84e4-68553f6db772", 36 "flow_id": "01ce083d-748b-4b8d-97b6-33adbb6a528a" 37 }, 38 "default_value": "", 39 "text": "Hello", 40 "sender": "User", 41 "sender_name": "User", 42 "files": [], 43 "session_id": "01ce083d-748b-4b8d-97b6-33adbb6a528a", 44 "timestamp": "2024-12-23 19:10:57+00:00", 45 "flow_id": "01ce083d-748b-4b8d-97b6-33adbb6a528a", 46 "error": "False", 47 "edit": "False", 48 "properties": { 49 "text_color": "", 50 "background_color": "", 51 "edited": "False", 52 "source": { 53 "id": "None", 54 "display_name": "None", 55 "source": "None" 56 }, 57 "icon": "", 58 "allow_markdown": "False", 59 "positive_feedback": "None", 60 "state": "complete", 61 "targets": [] 62 }, 63 "category": "message", 64 "content_blocks": [] 65 } 66 }, 67 "outputs": { 68 "message": { 69 "message": { 70 "timestamp": "2024-12-23T19:10:57", 71 "sender": "User", 72 "sender_name": "User", 73 "session_id": "01ce083d-748b-4b8d-97b6-33adbb6a528a", 74 "text": "Hello", 75 "files": [], 76 "error": false, 77 "edit": false, 78 "properties": { 79 "text_color": "", 80 "background_color": "", 81 "edited": false, 82 "source": { 83 "id": null, 84 "display_name": null, 85 "source": null 86 }, 87 "icon": "", 88 "allow_markdown": false, 89 "positive_feedback": null, 90 "state": "complete", 91 "targets": [] 92 }, 93 "category": "message", 94 "content_blocks": [], 95 "id": "c95bed34-f906-4aa6-84e4-68553f6db772", 96 "flow_id": "01ce083d-748b-4b8d-97b6-33adbb6a528a" 97 }, 98 "type": "object" 99 } 100 }, 101 "logs": { "message": [] }, 102 "message": { 103 "message": "Hello", 104 "sender": "User", 105 "sender_name": "User", 106 "files": [], 107 "type": "object" 108 }, 109 "artifacts": { 110 "message": "Hello", 111 "sender": "User", 112 "sender_name": "User", 113 "files": [], 114 "type": "object" 115 }, 116 "timedelta": 0.015060124918818474, 117 "duration": "15 ms", 118 "used_frozen_result": false 119 }, 120 "artifacts": { 121 "message": "Hello", 122 "sender": "User", 123 "sender_name": "User", 124 "files": [], 125 "type": "object" 126 }, 127 "params": "- Files: []\n Message: Hello\n Sender: User\n Sender Name: User\n Type: object\n", 128 "valid": true, 129 "build_id": "40aa200e-74db-4651-b698-f80301d2b26b", 130 "id": "ChatInput-NCmix", 131 "timestamp": "2024-12-23T19:10:58.772766Z", 132 "flow_id": "01ce083d-748b-4b8d-97b6-33adbb6a528a" 133 } 134 ], 135 "Prompt-BEn9c": [ 136 { 137 "data": { 138 "results": {}, 139 "outputs": { 140 "prompt": { 141 "message": "Answer the user as if you were a GenAI expert, enthusiastic about helping them get started building something fresh.", 142 "type": "text" 143 } 144 }, 145 "logs": { "prompt": [] }, 146 "message": { 147 "prompt": { 148 "repr": "Answer the user as if you were a GenAI expert, enthusiastic about helping them get started building something fresh.", 149 "raw": "Answer the user as if you were a GenAI expert, enthusiastic about helping them get started building something fresh.", 150 "type": "text" 151 } 152 }, 153 "artifacts": { 154 "prompt": { 155 "repr": "Answer the user as if you were a GenAI expert, enthusiastic about helping them get started building something fresh.", 156 "raw": "Answer the user as if you were a GenAI expert, enthusiastic about helping them get started building something fresh.", 157 "type": "text" 158 } 159 }, 160 "timedelta": 0.0057758750626817346, 161 "duration": "6 ms", 162 "used_frozen_result": false 163 }, 164 "artifacts": { 165 "prompt": { 166 "repr": "Answer the user as if you were a GenAI expert, enthusiastic about helping them get started building something fresh.", 167 "raw": "Answer the user as if you were a GenAI expert, enthusiastic about helping them get started building something fresh.", 168 "type": "text" 169 } 170 }, 171 "params": "None", 172 "valid": true, 173 "build_id": "39bbbfde-97fd-42a5-a9ed-d42a5c5d532b", 174 "id": "Prompt-BEn9c", 175 "timestamp": "2024-12-23T19:10:58.781019Z", 176 "flow_id": "01ce083d-748b-4b8d-97b6-33adbb6a528a" 177 } 178 ], 179 "OpenAIModel-7AjrN": [ 180 { 181 "data": { 182 "results": {}, 183 "outputs": { 184 "text_output": { 185 "message": "Hello! 🌟 I'm excited to help you get started on your journey to building something fresh! What do you have in mind? Whether it's a project, an idea, or a concept, let's dive in and make it happen!", 186 "type": "text" 187 }, 188 "model_output": { "message": "", "type": "unknown" } 189 }, 190 "logs": { "text_output": [] }, 191 "message": { 192 "text_output": { 193 "repr": "Hello! 🌟 I'm excited to help you get started on your journey to building something fresh! What do you have in mind? Whether it's a project, an idea, or a concept, let's dive in and make it happen!", 194 "raw": "Hello! 🌟 I'm excited to help you get started on your journey to building something fresh! What do you have in mind? Whether it's a project, an idea, or a concept, let's dive in and make it happen!", 195 "type": "text" 196 } 197 }, 198 "artifacts": { 199 "text_output": { 200 "repr": "Hello! 🌟 I'm excited to help you get started on your journey to building something fresh! What do you have in mind? Whether it's a project, an idea, or a concept, let's dive in and make it happen!", 201 "raw": "Hello! 🌟 I'm excited to help you get started on your journey to building something fresh! What do you have in mind? Whether it's a project, an idea, or a concept, let's dive in and make it happen!", 202 "type": "text" 203 } 204 }, 205 "timedelta": 1.034765167045407, 206 "duration": "1.03 seconds", 207 "used_frozen_result": false 208 }, 209 "artifacts": { 210 "text_output": { 211 "repr": "Hello! 🌟 I'm excited to help you get started on your journey to building something fresh! What do you have in mind? Whether it's a project, an idea, or a concept, let's dive in and make it happen!", 212 "raw": "Hello! 🌟 I'm excited to help you get started on your journey to building something fresh! What do you have in mind? Whether it's a project, an idea, or a concept, let's dive in and make it happen!", 213 "type": "text" 214 } 215 }, 216 "params": "None", 217 "valid": true, 218 "build_id": "4f0ae730-a266-4d35-b89f-7b825c620a0f", 219 "id": "OpenAIModel-7AjrN", 220 "timestamp": "2024-12-23T19:10:58.790484Z", 221 "flow_id": "01ce083d-748b-4b8d-97b6-33adbb6a528a" 222 } 223 ], 224 "ChatOutput-sfUhT": [ 225 { 226 "data": { 227 "results": { 228 "message": { 229 "text_key": "text", 230 "data": { 231 "timestamp": "2024-12-23 19:10:58", 232 "sender": "Machine", 233 "sender_name": "AI", 234 "session_id": "01ce083d-748b-4b8d-97b6-33adbb6a528a", 235 "text": "Hello! 🌟 I'm excited to help you get started on your journey to building something fresh! What do you have in mind? Whether it's a project, an idea, or a concept, let's dive in and make it happen!", 236 "files": [], 237 "error": "False", 238 "edit": "False", 239 "properties": { 240 "text_color": "", 241 "background_color": "", 242 "edited": "False", 243 "source": { 244 "id": "OpenAIModel-7AjrN", 245 "display_name": "OpenAI", 246 "source": "gpt-4o-mini" 247 }, 248 "icon": "OpenAI", 249 "allow_markdown": "False", 250 "positive_feedback": "None", 251 "state": "complete", 252 "targets": [] 253 }, 254 "category": "message", 255 "content_blocks": [], 256 "id": "5688356d-9f30-40ca-9907-79a7a2fc16fd", 257 "flow_id": "01ce083d-748b-4b8d-97b6-33adbb6a528a" 258 }, 259 "default_value": "", 260 "text": "Hello! 🌟 I'm excited to help you get started on your journey to building something fresh! What do you have in mind? Whether it's a project, an idea, or a concept, let's dive in and make it happen!", 261 "sender": "Machine", 262 "sender_name": "AI", 263 "files": [], 264 "session_id": "01ce083d-748b-4b8d-97b6-33adbb6a528a", 265 "timestamp": "2024-12-23 19:10:58+00:00", 266 "flow_id": "01ce083d-748b-4b8d-97b6-33adbb6a528a", 267 "error": "False", 268 "edit": "False", 269 "properties": { 270 "text_color": "", 271 "background_color": "", 272 "edited": "False", 273 "source": { 274 "id": "OpenAIModel-7AjrN", 275 "display_name": "OpenAI", 276 "source": "gpt-4o-mini" 277 }, 278 "icon": "OpenAI", 279 "allow_markdown": "False", 280 "positive_feedback": "None", 281 "state": "complete", 282 "targets": [] 283 }, 284 "category": "message", 285 "content_blocks": [] 286 } 287 }, 288 "outputs": { 289 "message": { 290 "message": { 291 "timestamp": "2024-12-23T19:10:58", 292 "sender": "Machine", 293 "sender_name": "AI", 294 "session_id": "01ce083d-748b-4b8d-97b6-33adbb6a528a", 295 "text": "Hello! 🌟 I'm excited to help you get started on your journey to building something fresh! What do you have in mind? Whether it's a project, an idea, or a concept, let's dive in and make it happen!", 296 "files": [], 297 "error": false, 298 "edit": false, 299 "properties": { 300 "text_color": "", 301 "background_color": "", 302 "edited": false, 303 "source": { 304 "id": "OpenAIModel-7AjrN", 305 "display_name": "OpenAI", 306 "source": "gpt-4o-mini" 307 }, 308 "icon": "OpenAI", 309 "allow_markdown": false, 310 "positive_feedback": null, 311 "state": "complete", 312 "targets": [] 313 }, 314 "category": "message", 315 "content_blocks": [], 316 "id": "5688356d-9f30-40ca-9907-79a7a2fc16fd", 317 "flow_id": "01ce083d-748b-4b8d-97b6-33adbb6a528a" 318 }, 319 "type": "object" 320 } 321 }, 322 "logs": { "message": [] }, 323 "message": { 324 "message": "Hello! 🌟 I'm excited to help you get started on your journey to building something fresh! What do you have in mind? Whether it's a project, an idea, or a concept, let's dive in and make it happen!", 325 "sender": "Machine", 326 "sender_name": "AI", 327 "files": [], 328 "type": "object" 329 }, 330 "artifacts": { 331 "message": "Hello! 🌟 I'm excited to help you get started on your journey to building something fresh! What do you have in mind? Whether it's a project, an idea, or a concept, let's dive in and make it happen!", 332 "sender": "Machine", 333 "sender_name": "AI", 334 "files": [], 335 "type": "object" 336 }, 337 "timedelta": 0.017838125000707805, 338 "duration": "18 ms", 339 "used_frozen_result": false 340 }, 341 "artifacts": { 342 "message": "Hello! 🌟 I'm excited to help you get started on your journey to building something fresh! What do you have in mind? Whether it's a project, an idea, or a concept, let's dive in and make it happen!", 343 "sender": "Machine", 344 "sender_name": "AI", 345 "files": [], 346 "type": "object" 347 }, 348 "params": "- Files: []\n Message: Hello! 🌟 I'm excited to help you get started on your journey to building\n something fresh! What do you have in mind? Whether it's a project, an idea, or\n a concept, let's dive in and make it happen!\n Sender: Machine\n Sender Name: AI\n Type: object\n", 349 "valid": true, 350 "build_id": "1e8b908b-aba7-403b-9e9b-eca92bb78668", 351 "id": "ChatOutput-sfUhT", 352 "timestamp": "2024-12-23T19:10:58.813268Z", 353 "flow_id": "01ce083d-748b-4b8d-97b6-33adbb6a528a" 354 } 355 ] 356 } 357} 358

Delete Vertex builds

Delete Vertex builds for a specific flow.

1import os 2 3import requests 4 5url = f"{os.getenv('LANGFLOW_URL', '')}/api/v1/monitor/builds?flow_id={os.getenv('FLOW_ID', '')}" 6 7headers = { 8 "accept": "*/*", 9 "x-api-key": f"{os.getenv('LANGFLOW_API_KEY', '')}", 10} 11 12response = requests.request("DELETE", url, headers=headers) 13response.raise_for_status() 14 15print(response.text) 16
Result
1204 No Content 2

Messages endpoints

The /monitor/messages endpoints store, retrieve, edit, and delete records in the message table in langflow.db Typically, these are called implicitly when running flows that produce message history, or when inspecting and modifying Playground memories.

Get messages

Retrieve a list of all messages:

1import os 2 3import requests 4 5url = f"{os.getenv('LANGFLOW_URL', '')}/api/v1/monitor/messages" 6 7headers = { 8 "accept": "application/json", 9 "x-api-key": f"{os.getenv('LANGFLOW_API_KEY', '')}", 10} 11 12response = requests.request("GET", url, headers=headers) 13response.raise_for_status() 14 15print(response.text) 16

To filter messages, use the flow_id, session_id, sender, and sender_name query parameters.

To sort the results, use the order_by query parameter.

This example retrieves messages sent by Machine and AI in a given chat session (session_id) and orders the messages by timestamp.

1import os 2 3import requests 4 5url = f"{os.getenv('LANGFLOW_URL', '')}/api/v1/monitor/messages?flow_id={os.getenv('FLOW_ID', '')}&session_id=01ce083d-748b-4b8d-97b6-33adbb6a528a&sender=Machine&sender_name=AI&order_by=timestamp" 6 7headers = { 8 "accept": "application/json", 9 "x-api-key": f"{os.getenv('LANGFLOW_API_KEY', '')}", 10} 11 12response = requests.request("GET", url, headers=headers) 13response.raise_for_status() 14 15print(response.text) 16
Result
1[ 2 { 3 "id": "1c1d6134-9b8b-4079-931c-84dcaddf19ba", 4 "flow_id": "01ce083d-748b-4b8d-97b6-33adbb6a528a", 5 "timestamp": "2024-12-23 19:20:11 UTC", 6 "sender": "Machine", 7 "sender_name": "AI", 8 "session_id": "01ce083d-748b-4b8d-97b6-33adbb6a528a", 9 "text": "Hello! It's great to see you here! What exciting project or idea are you thinking about diving into today? Whether it's something fresh and innovative or a classic concept with a twist, I'm here to help you get started! Let's brainstorm together!", 10 "files": "[]", 11 "edit": false, 12 "properties": { 13 "text_color": "", 14 "background_color": "", 15 "edited": false, 16 "source": { 17 "id": "OpenAIModel-7AjrN", 18 "display_name": "OpenAI", 19 "source": "gpt-4o-mini" 20 }, 21 "icon": "OpenAI", 22 "allow_markdown": false, 23 "positive_feedback": null, 24 "state": "complete", 25 "targets": [] 26 }, 27 "category": "message", 28 "content_blocks": [] 29 } 30] 31

Delete messages

Delete specific messages by their IDs.

This example deletes the message retrieved in the previous GET /messages example.

1import os 2from uuid import UUID 3 4import requests 5 6base = os.environ.get("LANGFLOW_URL", "") 7api_key = os.environ.get("LANGFLOW_API_KEY", "") 8flow_id = os.environ.get("FLOW_ID", "") 9 10headers = {"accept": "*/*", "Content-Type": "application/json", "x-api-key": api_key} 11 12list_resp = requests.get( 13 f"{base}/api/v1/monitor/messages", 14 headers=headers, 15 params={"flow_id": flow_id}, 16 timeout=30, 17) 18list_resp.raise_for_status() 19messages = list_resp.json() 20if not messages: 21 print("No messages to delete.") 22 raise SystemExit(0) 23 24ids = [UUID(str(m["id"])) for m in messages[:2]] 25params = [("message_ids", str(i)) for i in ids] 26 27response = requests.delete(f"{base}/api/v1/monitor/messages", headers=headers, params=params, timeout=30) 28response.raise_for_status() 29print(response.status_code) 30
Result
1204 No Content 2

Update message

Update a specific message by its ID.

This example updates the text value of message 3ab66cc6-c048-48f8-ab07-570f5af7b160.

1import os 2 3import requests 4 5base = os.environ.get("LANGFLOW_URL", "") 6api_key = os.environ.get("LANGFLOW_API_KEY", "") 7flow_id = os.environ.get("FLOW_ID", "") 8 9headers = {"accept": "application/json", "Content-Type": "application/json", "x-api-key": api_key} 10 11list_resp = requests.get( 12 f"{base}/api/v1/monitor/messages", 13 headers=headers, 14 params={"flow_id": flow_id}, 15 timeout=30, 16) 17list_resp.raise_for_status() 18messages = list_resp.json() 19if not messages: 20 print("No messages to update.") 21 raise SystemExit(0) 22 23message_id = messages[0]["id"] 24payload = {"text": "testing 1234"} 25 26response = requests.put( 27 f"{base}/api/v1/monitor/messages/{message_id}", 28 headers=headers, 29 json=payload, 30 timeout=30, 31) 32response.raise_for_status() 33print(response.text) 34
Result
1{ 2 "timestamp": "2024-12-23T18:49:06", 3 "sender": "string", 4 "sender_name": "string", 5 "session_id": "01ce083d-748b-4b8d-97b6-33adbb6a528a", 6 "text": "testing 1234", 7 "files": ["string"], 8 "error": true, 9 "edit": true, 10 "properties": { 11 "text_color": "string", 12 "background_color": "string", 13 "edited": false, 14 "source": { "id": "string", "display_name": "string", "source": "string" }, 15 "icon": "string", 16 "allow_markdown": false, 17 "positive_feedback": true, 18 "state": "complete", 19 "targets": [] 20 }, 21 "category": "message", 22 "content_blocks": [], 23 "id": "3ab66cc6-c048-48f8-ab07-570f5af7b160", 24 "flow_id": "01ce083d-748b-4b8d-97b6-33adbb6a528a" 25} 26

Update session ID

Update the session ID for messages.

This example updates the session_ID value 01ce083d-748b-4b8d-97b6-33adbb6a528a to different_session_id.

1import os 2 3import requests 4 5base = os.environ.get("LANGFLOW_URL", "") 6api_key = os.environ.get("LANGFLOW_API_KEY", "") 7flow_id = os.environ.get("FLOW_ID", "") 8 9headers = {"accept": "application/json", "x-api-key": api_key} 10 11list_resp = requests.get( 12 f"{base}/api/v1/monitor/messages", 13 headers=headers, 14 params={"flow_id": flow_id}, 15 timeout=30, 16) 17list_resp.raise_for_status() 18messages = list_resp.json() 19if not messages: 20 print("No messages; cannot migrate session id.") 21 raise SystemExit(0) 22 23old_session_id = messages[0]["session_id"] 24new_session_id = f"{old_session_id}-migrated" 25 26response = requests.patch( 27 f"{base}/api/v1/monitor/messages/session/{old_session_id}", 28 headers=headers, 29 params={"new_session_id": new_session_id}, 30 timeout=30, 31) 32response.raise_for_status() 33print(response.text) 34
Result
1[ 2 { 3 "id": "8dd7f064-e63a-4773-b472-ca0475249dfd", 4 "flow_id": "01ce083d-748b-4b8d-97b6-33adbb6a528a", 5 "timestamp": "2024-12-23 18:49:55 UTC", 6 "sender": "User", 7 "sender_name": "User", 8 "session_id": "different_session_id", 9 "text": "message", 10 "files": "[]", 11 "edit": false, 12 "properties": { 13 "text_color": "", 14 "background_color": "", 15 "edited": false, 16 "source": { 17 "id": null, 18 "display_name": null, 19 "source": null 20 }, 21 "icon": "", 22 "allow_markdown": false, 23 "positive_feedback": null, 24 "state": "complete", 25 "targets": [] 26 }, 27 "category": "message", 28 "content_blocks": [] 29 } 30] 31

Delete messages by session

Delete all messages for a specific session.

1import os 2 3import requests 4 5url = f"{os.getenv('LANGFLOW_URL', '')}/api/v1/monitor/messages/session/different_session_id_2" 6 7headers = { 8 "accept": "*/*", 9 "x-api-key": f"{os.getenv('LANGFLOW_API_KEY', '')}", 10} 11 12response = requests.request("DELETE", url, headers=headers) 13response.raise_for_status() 14 15print(response.text) 16
Result
1HTTP/1.1 204 No Content 2

Get traces

Retrieve trace metadata and span trees for a specific flow.

Example request

Use GET /monitor/traces and filter by flow_id:

1import os 2 3import requests 4 5base_url = os.environ.get("LANGFLOW_URL") or os.environ.get("LANGFLOW_SERVER_URL", "http://127.0.0.1:7860") 6api_key = os.environ.get("LANGFLOW_API_KEY", "") 7flow_id = os.environ.get("FLOW_ID", "") 8 9response = requests.get( 10 f"{base_url}/api/v1/monitor/traces", 11 params={"flow_id": flow_id, "page": 1, "size": 50}, 12 headers={"x-api-key": api_key, "accept": "application/json"}, 13 timeout=30, 14) 15response.raise_for_status() 16print(response.json()) 17

Example response


_31
{
_31
"traces": [
_31
{
_31
"id": "426656db-fc3c-4a3a-acf8-c60acf099543",
_31
"name": "Simple Agent - 9e774f60-857b-44b4-bbcd-87bd23848ee8",
_31
"status": "ok",
_31
"startTime": "2026-03-03T19:13:30.692628Z",
_31
"totalLatencyMs": 18693,
_31
"totalTokens": 2050,
_31
"flowId": "9e774f60-857b-44b4-bbcd-87bd23848ee8",
_31
"sessionId": "9e774f60-857b-44b4-bbcd-87bd23848ee8",
_31
"input": {
_31
"input_value": "Use tools to teach me about vertex graphs"
_31
},
_31
"output": {
_31
"message": {
_31
"text_key": "text",
_31
"data": {
_31
"timestamp": "2026-03-03 19:13:30 UTC",
_31
"sender": "Machine",
_31
"sender_name": "AI",
_31
"session_id": "9e774f60-857b-44b4-bbcd-87bd23848ee8",
_31
"text": "I can teach you the concept, but I couldn’t pull the Wikipedia pages with the tool ... (truncated)"
_31
}
_31
}
_31
}
_31
}
_31
],
_31
"total": 1,
_31
"pages": 1
_31
}

Get transactions

Retrieve all transactions, which are interactions between components, for a specific flow. This information is also available in flow logs.

1import os 2 3import requests 4 5url = f"{os.getenv('LANGFLOW_URL', '')}/api/v1/monitor/transactions?flow_id={os.getenv('FLOW_ID', '')}&page=1&size=50" 6 7headers = { 8 "accept": "application/json", 9 "x-api-key": f"{os.getenv('LANGFLOW_API_KEY', '')}", 10} 11 12response = requests.request("GET", url, headers=headers) 13response.raise_for_status() 14 15print(response.text) 16
Result
1{ 2 "items": [ 3 { 4 "timestamp": "2024-12-23T20:05:01.061Z", 5 "vertex_id": "string", 6 "target_id": "string", 7 "inputs": {}, 8 "outputs": {}, 9 "status": "string", 10 "error": "string", 11 "flow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", 12 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6" 13 } 14 ], 15 "total": 0, 16 "page": 1, 17 "size": 1, 18 "pages": 0 19} 20

See also

Search